Package wx :: Package lib :: Module pydocview :: Class AboutService

[frames | no frames]

## Type AboutService

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
            DocService --+
                         |
                        AboutService

About Dialog Service that installs under the Help menu to show the properties of the current application.

Method Summary
| ``__init__`(self, aboutDialog, image)` Initializes the AboutService.
| ``SetAboutDialog`(self, dlg)` Customize the AboutDialog
| ``ShowAbout`(self)` Show the AboutDialog

Property Summary

Method Details

### __init__(self, aboutDialog=None, image=None)
(Constructor)

Initializes the AboutService.

  Overrides:
    `wx.lib.pydocview.DocService.__init__`

### SetAboutDialog(self, dlg)

Customize the AboutDialog

### ShowAbout(self)

Show the AboutDialog

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:57 2007 | http://epydoc.sf.net